﻿using System.Drawing;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] valueArray = { 26, 20, 23, 7, 16 };

            LollipopPlot lollipopPlot = plot.AddLollipop(valueArray);

            lollipopPlot.Orientation    = ScottPlot.Orientation.Horizontal;
            lollipopPlot.BorderColor    = Color.Green;
            lollipopPlot.LollipopRadius = 10;
            lollipopPlot.LollipopColor  = Color.Blue;

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}